For the complete documentation index, see llms.txt. This page is also available as Markdown.

Buchungsbelege

Die Endpunkte dieser Endpunktberechtigung finden Sie im Controller "AccountancyVoucherProcess".

Buchungsbelege und -vorgänge können über den Controller "AccountancyTransactionData" abgefragt werden. Mehr dazu finden Sie hier.

Buchungsvorgänge im Status "Erfassung" anlegen

Version 1.2


post
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
testModebooleanOptional
showNullValuesbooleanOptionalDefault: false
Body
AddToExistingVoucherIdinteger · int32 · nullableOptional
CompanyCodeIdinteger · int32Optional
BookingDatestring · dateOptionalExample: 2026-09-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
VoucherProcessTypeIdinteger · int32Optional
BookingRuleTypeIdinteger · int32Optional
Descriptionstring · nullableOptional
Antworten
201

Created

Idinteger · int32Optional
NodeIdinteger · int32Optional
VoucherDatestring · dateOptionalExample: 2026-09-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
VoucherNumberstring · nullableOptional
PartnerReferencestring · nullableOptional
OwnReferencestring · nullableOptional
Descriptionstring · nullableOptional
post/openwowi/v1.2/AccountancyVoucherProcess/Create
POST /openwowi/v1.2/AccountancyVoucherProcess/Create HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 470

{
  "AddToExistingVoucherId": 1,
  "NewVoucherImportRequest": {
    "VoucherDate": "2026-09-15",
    "PartnerReference": "text",
    "OwnReference": "text",
    "Description": "text"
  },
  "CompanyCodeId": 1,
  "BookingDate": "2026-09-15",
  "VoucherProcessTypeId": 1,
  "BookingRuleTypeId": 1,
  "Description": "text",
  "Bookings": [
    {
      "MasterAccountId": 1,
      "BookingText": "text",
      "SalesTaxId": 1,
      "DebitCredit": "Debit",
      "BookingTypeId": 1,
      "Amount": 1,
      "Maturity": "2026-09-15",
      "AdditionalAccount": [
        {
          "AdditionalAccountTypeId": 1,
          "Id": 1
        }
      ]
    }
  ]
}
{
  "Id": 1,
  "NodeId": 1,
  "VoucherDate": "2026-09-15",
  "VoucherNumber": "text",
  "VoucherType": {
    "Id": 1,
    "Code": "text"
  },
  "PartnerReference": "text",
  "OwnReference": "text",
  "Description": "text",
  "VoucherProcess": {
    "Id": 1,
    "CompanyCode": {
      "Id": 1,
      "Name": "text",
      "Code": "text"
    },
    "VoucherProcessType": {
      "Id": 1,
      "Code": "text"
    },
    "BookingRuleType": {
      "Id": 1,
      "Code": "text"
    },
    "Description": "text",
    "FiscalYearNumber": 1,
    "BookingPeriodNumber": 1,
    "BookingDate": "2026-09-15",
    "ReleaseDate": "2026-09-15",
    "BookingNumber": "text",
    "Bookings": [
      {
        "Id": 1,
        "MasterAccount": {
          "Id": 1,
          "Code": "text"
        },
        "SalesTax": {
          "Id": 1,
          "Code": "text"
        },
        "BookingType": {
          "Id": 1,
          "BookingTypeCode": "text"
        },
        "DebitCredit": "Debit",
        "Amount": 1,
        "Maturity": "2026-09-15",
        "OptionTaxPercentage": 1,
        "OriginalGrossAmount": 1,
        "OriginalOptionAmount": 1,
        "OptionTaxSource": "text",
        "AdditionalAccount": [
          {
            "Id": 1,
            "Value": "text",
            "Type": {
              "Id": 1,
              "Code": "text"
            }
          }
        ]
      }
    ]
  }
}

Buchungsvorgänge im Status "Freigabe" anlegen

Version 1.2


post
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
testModebooleanOptional
showNullValuesbooleanOptionalDefault: false
Body
AddToExistingVoucherIdinteger · int32 · nullableOptional
CompanyCodeIdinteger · int32Optional
BookingDatestring · dateOptionalExample: 2026-09-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
VoucherProcessTypeIdinteger · int32Optional
BookingRuleTypeIdinteger · int32Optional
Descriptionstring · nullableOptional
Antworten
201

Created

Idinteger · int32Optional
NodeIdinteger · int32Optional
VoucherDatestring · dateOptionalExample: 2026-09-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
VoucherNumberstring · nullableOptional
PartnerReferencestring · nullableOptional
OwnReferencestring · nullableOptional
Descriptionstring · nullableOptional
post/openwowi/v1.2/AccountancyVoucherProcess/CreateRelease
POST /openwowi/v1.2/AccountancyVoucherProcess/CreateRelease HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 470

{
  "AddToExistingVoucherId": 1,
  "NewVoucherImportRequest": {
    "VoucherDate": "2026-09-15",
    "PartnerReference": "text",
    "OwnReference": "text",
    "Description": "text"
  },
  "CompanyCodeId": 1,
  "BookingDate": "2026-09-15",
  "VoucherProcessTypeId": 1,
  "BookingRuleTypeId": 1,
  "Description": "text",
  "Bookings": [
    {
      "MasterAccountId": 1,
      "BookingText": "text",
      "SalesTaxId": 1,
      "DebitCredit": "Debit",
      "BookingTypeId": 1,
      "Amount": 1,
      "Maturity": "2026-09-15",
      "AdditionalAccount": [
        {
          "AdditionalAccountTypeId": 1,
          "Id": 1
        }
      ]
    }
  ]
}
{
  "Id": 1,
  "NodeId": 1,
  "VoucherDate": "2026-09-15",
  "VoucherNumber": "text",
  "VoucherType": {
    "Id": 1,
    "Code": "text"
  },
  "PartnerReference": "text",
  "OwnReference": "text",
  "Description": "text",
  "VoucherProcess": {
    "Id": 1,
    "CompanyCode": {
      "Id": 1,
      "Name": "text",
      "Code": "text"
    },
    "VoucherProcessType": {
      "Id": 1,
      "Code": "text"
    },
    "BookingRuleType": {
      "Id": 1,
      "Code": "text"
    },
    "Description": "text",
    "FiscalYearNumber": 1,
    "BookingPeriodNumber": 1,
    "BookingDate": "2026-09-15",
    "ReleaseDate": "2026-09-15",
    "BookingNumber": "text",
    "Bookings": [
      {
        "Id": 1,
        "MasterAccount": {
          "Id": 1,
          "Code": "text"
        },
        "SalesTax": {
          "Id": 1,
          "Code": "text"
        },
        "BookingType": {
          "Id": 1,
          "BookingTypeCode": "text"
        },
        "DebitCredit": "Debit",
        "Amount": 1,
        "Maturity": "2026-09-15",
        "OptionTaxPercentage": 1,
        "OriginalGrossAmount": 1,
        "OriginalOptionAmount": 1,
        "OptionTaxSource": "text",
        "AdditionalAccount": [
          {
            "Id": 1,
            "Value": "text",
            "Type": {
              "Id": 1,
              "Code": "text"
            }
          }
        ]
      }
    ]
  }
}

Zuletzt aktualisiert